Bug 444853 - Cannot uninstall epiphany
Summary: Cannot uninstall epiphany
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-01 08:32 UTC by Răzvan Sandu
Modified: 2009-07-14 17:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:56:11 UTC


Attachments (Terms of Use)

Description Răzvan Sandu 2008-05-01 08:32:34 UTC
Description of problem:

Hello,

After upgrading the system from Fedora 8 to Rawhide (via preupgrade), I've
noticed that there are two versions of epiphany on my system:

[root@second ~]# rpm -q epiphany
epiphany-2.20.3-3.fc8.i386
epiphany-2.22.1.1-1.fc9.i386

Trying to uninstall the *new* version and perform an upgrade again (to eliminate
the old version normally) led to this error message:

gtk-update-icon-cache: No theme index file in
'/usr/share/icons/LowContrastLargePrint'.
If you really want to create an icon cache here, use --ignore-theme-index.
error: %postun(epiphany-2.20.3-3.fc8.i386) scriptlet failed, exit status 1

...and the old version of epiphany remains installed.

The worst part is that the presence of the old epiphany blocks further system
upgrades, because of dependencies.

Regards,
Răzvan

Comment 1 Bug Zapper 2008-05-14 10:27:33 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-06-10 00:32:55 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 17:56:11 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.